
import glob
import multiprocessing as mp
import os

import xarray

ROOT = '/bigdat/kug/smartcarb/'
PATH = 'cosmo2D_2015-07'

def remove_co_fields(fn):
    """
    Make a copy of netCDF file but without CO fields.
    """
    #drop = ['CO_A', 'CO_B0', 'CO_B1', 'CO_B2', 'CO_BC', 'CO_BG', 'CO_BV',
    #        'CO_JC', 'CO_JV', 'CO_NPR', 'CO_SURF', 'CO_TOT']
    
    with xarray.open_dataset(fn, mask_and_scale=False, decode_times=False) as d:
        del d.attrs['history']
        d.attrs['DESCRIPTION'] = 'Vertical integrated/averaged tracer fields'

        fn = os.path.join(ROOT, 'small', PATH, os.path.basename(fn))
        print(fn)
        d.to_netcdf(fn)
        
        

def main():
    root = '/bigdat/kug/smartcarb/'
    pattern = os.path.join(ROOT, PATH, '*.nc')
    fnames = sorted(glob.glob(pattern))

    with mp.Pool(processes=12) as pool:
        pool.map(remove_co_fields, fnames)

if __name__ == '__main__':
    main()
